Unexpected BOARD::MarkTrace: multiple pad_on_start

Hey there, has anybody an idea what this warning message means? I have one track where this warning pops up every time I press U or I to select (part of) it. I already deleted the track and routed it newly but the warning persists, but beneath the warning message there doesn’t seem to be another issue. At least I can continue to work normally, just curious what I’m doing wrong.

TIA!

Screenshot_2019-11-19_10-41-49|466x339

Application: KiCad
Version: 5.1.4-e60b266~84~ubuntu18.04.1, release build
Libraries:
wxWidgets 3.0.4
libcurl/7.58.0 OpenSSL/1.1.1 zlib/1.2.11 libidn2/2.0.4 libpsl/0.19.1 (+libidn2/2.0.4) nghttp2/1.30.0 librtmp/2.3
Platform: Linux 4.15.0-70-generic x86_64, 64 bit, Little endian, wxGTK
Build Info:
wxWidgets: 3.0.4 (wchar_t,wx containers,compatible with 2.8) GTK+ 3.22
Boost: 1.65.1
OpenCASCADE Community Edition: 6.9.1
Curl: 7.58.0
Compiler: GCC 7.4.0 with C++ ABI 1011

Build settings:
USE_WX_GRAPHICS_CONTEXT=OFF
USE_WX_OVERLAY=ON
KICAD_SCRIPTING=ON
KICAD_SCRIPTING_MODULES=ON
KICAD_SCRIPTING_PYTHON3=ON
KICAD_SCRIPTING_WXPYTHON=ON
KICAD_SCRIPTING_WXPYTHON_PHOENIX=ON
KICAD_SCRIPTING_ACTION_MENU=ON
BUILD_GITHUB_PLUGIN=ON
KICAD_USE_OCE=ON
KICAD_USE_OCC=OFF
KICAD_SPICE=ON

I got this same message recently. Has something been changed in 5.1 branch bug fixes which made this appear?

Application: Pcbnew
Version: (5.1.5-rc1-5-g37f23fa53)-1, release build
Libraries:
wxWidgets 3.0.4
libcurl/7.66.0 OpenSSL/1.1.1d (Schannel) zlib/1.2.11 brotli/1.0.7 libidn2/2.2.0 libpsl/0.21.0 (+libidn2/2.1.1) nghttp2/1.39.2
Platform: Windows 7 (build 7601, Service Pack 1), 64-bit edition, 64 bit, Little endian, wxMSW
Build Info:
wxWidgets: 3.0.4 (wchar_t,wx containers,compatible with 2.8)
Boost: 1.71.0
OpenCASCADE Community Edition: 6.9.1
Curl: 7.66.0
Compiler: GCC 9.2.0 with C++ ABI 1013

Build settings:
USE_WX_GRAPHICS_CONTEXT=OFF
USE_WX_OVERLAY=OFF
KICAD_SCRIPTING=ON
KICAD_SCRIPTING_MODULES=ON
KICAD_SCRIPTING_PYTHON3=OFF
KICAD_SCRIPTING_WXPYTHON=ON
KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
KICAD_SCRIPTING_ACTION_MENU=ON
BUILD_GITHUB_PLUGIN=ON
KICAD_USE_OCE=ON
KICAD_USE_OCC=OFF
KICAD_SPICE=ON

Can you provide a minimal board that shows this?

It may be difficult to repeat. I closed and reopened the board and the problem in that place went away. So, sending a board may not help at all. The editing sequence which leads to that should be found, but it’s not easy.

The warning somehow disappeared (maybe through reopening as well). If someone could describe what this message means it would be easier to provoke it an provide a minimum working example.

If you are experiencing this issue, please add details to https://bugs.launchpad.net/kicad/+bug/1838261

Ideally, we would like to know exactly how you triggered it, modes you were running, screencap, etc.

eelik, You are using a different version of kicad, and a different operating system.

@Seth_h thanks for the link. I reported my part and will see if I can contribute further.

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.